Skip to main content
`Ctrl`+`K`

# TSThetaGetEndpoint

Gets whether to use the endpoint variant of the method (e.g. trapezoid/Crank-Nicolson instead of midpoint rule) for `TSTHETA`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSThetaGetEndpoint(TS ts, PetscBool *endpoint)

Not Collective

## Input Parameter

- ts - timestepping context

## Output Parameter

- endpoint - `PETSC_TRUE` when using the endpoint variant

## See Also

TS: Scalable ODE and DAE Solvers, `TSThetaSetEndpoint()`, `TSTHETA`, `TSCN`

## Level

advanced

## Location

src/ts/impls/implicit/theta/theta.c

## Implementations

TSThetaGetEndpoint_Theta() in src/ts/impls/implicit/theta/theta.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages